OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs
Merge.h File Reference

Functions to efficiently merge grids. More...

`#include <openvdb/Platform.h>`
`#include <openvdb/Exceptions.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/Grid.h>`
`#include <openvdb/tree/NodeManager.h>`
`#include <openvdb/openvdb.h>`
`#include "NodeVisitor.h"`
`#include <memory>`
`#include <unordered_map>`
`#include <unordered_set>`

Go to the source code of this file.

## Classes
struct | TreeToMerge< TreeT >
| Convenience class that contains a pointer to a tree to be stolen or deep copied depending on the tag dispatch class used and a subset of methods to retrieve data from the tree. More...
struct | TreeToMerge< TreeT >::MaskPtr
| Wrapper around unique_ptr that deep-copies mask on copy construction. More...
struct | TreeToMerge< TreeT >::MaskUnionOp
| DynamicNodeManager operator used to generate a mask of the input tree, but with dense leaf nodes replaced with active tiles for compactness. More...
struct | CsgUnionOrIntersectionOp< TreeT, Union >
| DynamicNodeManager operator to merge trees using a CSG union or intersection. More...
struct | CsgDifferenceOp< TreeT >
| DynamicNodeManager operator to merge two trees using a CSG difference. More...
struct | SumMergeOp< TreeT >
| DynamicNodeManager operator to merge trees using a sum operation. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools

## Typedefs
template<typename TreeT >
using | CsgUnionOp = CsgUnionOrIntersectionOp<TreeT, true>
template<typename TreeT >
using | CsgIntersectionOp = CsgUnionOrIntersectionOp<TreeT, false>

## Detailed Description

Functions to efficiently merge grids.

Author
  Dan Bailey